Package org.eclipse.lemminx.extensions.catalog.participants

## Class XMLCatalogCodeLensParticipant

- java.lang.Object
- - org.eclipse.lemminx.extensions.catalog.participants.XMLCatalogCodeLensParticipant

All Implemented Interfaces:
  `ICodeLensParticipant`

    public class XMLCatalogCodeLensParticipant
    extends Object
    implements ICodeLensParticipant

This code lens participant creates the "(un)register catalog" code lens in catalog files. When clicked, this catalog runs the client command `"xml.update.configuration"` to update the workspace settings to register the catalog for use. The client needs to implement the `"xml.update.configuration"` command in order for this to work.

### Constructor Summary

Constructors
`XMLCatalogCodeLensParticipant​(ContentModelManager contentModelManager)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `doCodeLens​(ICodeLensRequest request, List<org.eclipse.lsp4j.CodeLens> lenses, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XMLCatalogCodeLensParticipant

    public XMLCatalogCodeLensParticipant​(ContentModelManager contentModelManager)

### Method Detail

#### doCodeLens

    public void doCodeLens​(ICodeLensRequest request,
                           List<org.eclipse.lsp4j.CodeLens> lenses,
                           org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)

Specified by:
  `doCodeLens` in interface `ICodeLensParticipant`